'use strict';

module.exports = {
  async up(queryInterface, Sequelize) {
    await queryInterface.changeColumn('subcontract_dc', 'status', {
      type: Sequelize.ENUM('DRAFT', 'APPROVED', 'SENT', 'PARTIALLY_RECEIVED', 'CLOSED', 'CANCELLED'),
      allowNull: false,
      defaultValue: 'DRAFT'
    });
  },

  async down(queryInterface, Sequelize) {
    await queryInterface.changeColumn('subcontract_dc', 'status', {
      type: Sequelize.ENUM('SENT', 'PARTIALLY_RECEIVED', 'CLOSED', 'CANCELLED'),
      allowNull: false,
      defaultValue: 'SENT'
    });
  }
};
